Subject: bug#48944: haskell build-system cannot build pcg-random

From: zimoun <[email-masked]>
Date: Thu, 10 Jun 2021 18:26:57 +0200

Hi,

On Thu, 10 Jun 2021 at 10:47, Philip Munksgaard <[email-masked]> wrote:

> Setup.hs:3:1: error:
>     Could not find module ‘Distribution.Extra.Doctest’
>     Perhaps you meant Distribution.Simple.Doctest (from Cabal-2.4.0.1)
>     Use -v to see a list of the files searched for.
>   |
> 3 | import Distribution.Extra.Doctest (defaultMainWithDoctests)
>   | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

I have not investigated more but I guess the issue is from the new
package ghc-cabal-doctest which is probably poorly configured.

All the best,
simon